Debian Bug report logs - #691192
ITP: fplll -- library for LLL-reduction of Euclidean lattices

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien Puydt <julien.puydt@laposte.net>

Date: Mon, 22 Oct 2012 19:45:05 UTC

Owned by: Julien Puydt <julien.puydt@laposte.net>

Severity: wishlist

Fixed in version fplll/4.0.1-1

Done: Julien Puydt <julien.puydt@laposte.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691192; Package wnpp. (Mon, 22 Oct 2012 19:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 22 Oct 2012 19:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>, Debian Science <debian-science@lists.debian.org>
Subject: ITP: fpLLL
Date: Mon, 22 Oct 2012 21:43:39 +0200
Package: wnpp
Severity: wishlist
Owner: Julien Puydt <julien.puydt@laposte.net>

* Package name    : fplll
  Version         : 4.0.1
  Upstream Author : Xavier Pujol <xavier.pujol@ens-lyon.fr>
* URL             : http://perso.ens-lyon.fr/xavier.pujol/fplll/
* License         : LGPL-2.1+
  Programming Lang: C++
  Description     : Library for LLL-reduction of Euclidean lattices

fpLLL is a library for computing nearly orthogonal basis for Euclidean 
lattices using the LLL algorithm.

It contains multiple different implementations of the floating-point LLL 
reduction algorithm, offering multiple different speed/guarantees ratios.

It also contains a 'wrapper' that chooses the estimated best sequence of 
variants in order to provide a guaranteed output as fast as possible. In 
the case of the wrapper, the succession of variants is oblivious to the 
user.

I have already made a package almost ready in the debian-science git 
repository ; it's mostly lacking the "(Closes: #nnnnn)" from this report 
; in fact debian did contain a very old and unmaintained version of this 
software (by Tim Abbott), which was removed to make room for this one.

This is part of the effort to package sagemath's dependencies in debian.

Snark on #debian-science



Changed Bug title to 'ITP: fplll -- library for LLL-reduction of Euclidean lattices' from 'ITP: fpLLL' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 24 Oct 2012 09:03:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 07:06:07 GMT) Full text and rfc822 format available.

Reply sent to Julien Puydt <julien.puydt@laposte.net>:
You have taken responsibility. (Sat, 16 Feb 2013 15:03:11 GMT) Full text and rfc822 format available.

Notification sent to Julien Puydt <julien.puydt@laposte.net>:
Bug acknowledged by developer. (Sat, 16 Feb 2013 15:03:11 GMT) Full text and rfc822 format available.

Message #14 received at 691192-close@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
To: 691192-close@bugs.debian.org
Subject: Bug#691192: fixed in fplll 4.0.1-1
Date: Sat, 16 Feb 2013 15:00:06 +0000
Source: fplll
Source-Version: 4.0.1-1

We believe that the bug you reported is fixed in the latest version of
fplll, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691192@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Puydt <julien.puydt@laposte.net> (supplier of updated fplll package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Dec 2012 22:08:00 +0200
Source: fplll
Binary: libfplll0 libfplll-dev fplll-tools
Architecture: source amd64
Version: 4.0.1-1
Distribution: sid
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Julien Puydt <julien.puydt@laposte.net>
Description: 
 fplll-tools - Tools to compute LLL-reduction of euclidian lattices
 libfplll-dev - Library for LLL-reduction of euclidean lattices, development
 libfplll0  - Library for LLL-reduction of Euclidean lattices, runtime
Closes: 691192
Changes: 
 fplll (4.0.1-1) unstable; urgency=low
 .
   * Upgraded to latest upstream.
   * Re-introduction in debian (Closes: #691192).
   * Added a patch to fix a link issue in README.html.
   * Made the manpages point to README.html in the libfplll-dev package.
   * Changed the license of the debian directory to LGPL-2.1.
   * Apply descriptions patch from Tobias Hansen.
Checksums-Sha1: 
 ce595a397ce3c339e6b588263f9a215f641e79d8 2141 fplll_4.0.1-1.dsc
 7ec25ba89617fb10daa48e3726c086f802d55fee 415032 fplll_4.0.1.orig.tar.gz
 54eac2d69398eff5bcb5bbc9b6a9d2ad8998c3ff 4808 fplll_4.0.1-1.debian.tar.gz
 863465012ee364a512d7587d01d708a734095c74 158876 libfplll0_4.0.1-1_amd64.deb
 49407acdc78355bb75bfac4e6eeefab08492d273 37350 libfplll-dev_4.0.1-1_amd64.deb
 b2c4baedd1ff189abc2e6a3a055b9d55fac7605c 40338 fplll-tools_4.0.1-1_amd64.deb
Checksums-Sha256: 
 b4ba28b21a98c56054d05e34b48a6b85f392572f299c8668a592cae9b2814138 2141 fplll_4.0.1-1.dsc
 a3876640ace087490f67bfc92f0911c7a6a54b3b3ea066817499178c857132df 415032 fplll_4.0.1.orig.tar.gz
 318476208c7dba4139e69512e3957c76b980decb55deac21838bcf7a6b4f727b 4808 fplll_4.0.1-1.debian.tar.gz
 449f1b019a6348590c2fbd567cdd2eb1401cb0787f60c7ddf15b1c9c7ae20bee 158876 libfplll0_4.0.1-1_amd64.deb
 67d6bd5c2119cee443c83a4a76dbdc03f458862e8d05dcd0128c4d72f3f12a71 37350 libfplll-dev_4.0.1-1_amd64.deb
 2005cba53056c2d58adc657be20f83fbb6635802553bb5f9d2d061c539415771 40338 fplll-tools_4.0.1-1_amd64.deb
Files: 
 2ab704cfc18db60d46d4aab3d3c5eb32 2141 math optional fplll_4.0.1-1.dsc
 f1e8cc367d9a9a4eda40b3d6adfb0832 415032 math optional fplll_4.0.1.orig.tar.gz
 8399e68f85ce638b12ae6d28d0d67ad5 4808 math optional fplll_4.0.1-1.debian.tar.gz
 435e327195533b47c8238c355a9584f0 158876 libs optional libfplll0_4.0.1-1_amd64.deb
 7bdd072798a97e1dd1a2c129fcfc20ab 37350 libdevel optional libfplll-dev_4.0.1-1_amd64.deb
 76dcb315e214e3f1ce481b8e1f3431de 40338 math optional fplll-tools_4.0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQz5rWAAoJEIyCFp2Ozs0qCI8P/iIbKgg0Bs1vCDsxGJJ7QnNB
W/NiYG4zM21P7S8EsfhBi8I1hHPLu5voRMObgyLwdXrpmo9g26XvjO+hxBx+ANwc
Mp/MVtg5EjE5C3lsT29V3nUYRtfH3Xh1qlVBDVv8vnamrIeSAmjXkf0Z26DTEtn1
AIsZOo6yQD2e7S45BsWWpazdZvSLyoVkHNkM4/7r2pfkzhUuCerYAf5QlSMUnwt7
8C6QoJm0bdLZKG6iVrUFgFAECEs1uzVfUUzK8Jl9wL2hNSYahKLrFgdlES+Wlswa
7ZfY34zToAddFXhe3AB2E4aEC53NtW/Uf8edDgksoCM8B3OqzjvxFucM8Wb3EJXm
5OwGwj5UNSwWeWc4VFRtqcdnWPp99r/963conyV9spN5lWf379GhImNHnHFq3lw9
/ckUroAcUvV6sMxt/v7EoWmlsl9Xf+tIG9R27orjWhvQOfI8I9IUJ2c3koMlVvg2
20aUDM9xa5qEy91vCKppr9lcEGRYsanowpdaFx5oB58LGx0ms9KrYgNmDNFggRC8
Y4hgPbI6I70yB2QppFKmokwrgsnY/yokxDEH/qLSBWDgB6UV1BbTlOMxfkyVQn5j
bA8CxL/QeQcY+3qO3I8VHqIgDOH4oUHapumNWi5c2lGJ9u6L3ksk2A5nekciYJWr
AW6rqR+zSpkt1optXnq6
=Xn+n
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Mar 2013 07:27:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:20:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.